import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class FareTestiSWF extends JFrame
implements MouseListener, MouseMotionListener
{
 private int nx,ny=-10;
 private String s="";
 private JLabel altbar;

 public FareTestiSWF()
 {
 super("Fare Testi");
 altbar=new JLabel();
 getContentPane().add(altbar,BorderLayout.SOUTH);
 addMouseListener(this);
 addMouseMotionListener(this);
 }

 public void degerleriGir(String e,int x,int y)
 {
 s=e;
 nx=x;
 ny=y;
 altbar.setText(e+"["+x+" , "+y+"] ");
 repaint();
 }

 //fare dinleyicisinin dinledikleriyle ilgili cikti metodlari
 public void mouseClicked(MouseEvent e)
 { degerleriGir("Kliklendi",e.getX(),e.getY()); }
 public void mousePressed(MouseEvent e)
 { degerleriGir("Basıldı",e.getX(),e.getY()); }
 public void mouseReleased(MouseEvent e)
 { degerleriGir("Bırakıldı",e.getX(),e.getY()); }
 public void mouseEntered(MouseEvent e)
 { setTitle("Fare applet alanı içinde"); }
 public void mouseExited(MouseEvent e)
 { setTitle("Fare applet alanı dışında");
   degerleriGir("Fare applet alanı dışında",e.getX(),e.getY());
 }
 //MouseMotionListener (fare hareket dinleyicisi) metotlari
 public void mouseDragged(MouseEvent e)
 { degerleriGir("basilip cekiliyor",e.getX(),e.getY()); }
 public void mouseMoved(MouseEvent e)
 { degerleriGir("hareket halinde",e.getX(),e.getY()); }
       public static void main(String[] args)
      {
      FareTestiSWF pencere= new FareTestiSWF();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(350,150);
      pencere.setVisible(true);
      }

}
